Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Groovy] Class FileNameFinder

    java.lang.Object
      groovy.util.FileNameFinder

All Implemented Interfaces:
  IFileNameFinder

    class FileNameFinder
    extends java.lang.Object

Find files according to a base directory and an includes and excludes pattern. The include and exclude patterns conform to Ant's fileset pattern conventions.

Authors:
  Dierk Koenig
  Paul King

Method Summary
`java.util.List` | `getFileNames(java.lang.String basedir, java.lang.String pattern)`
`java.util.List` | `getFileNames(java.lang.String basedir, java.lang.String pattern, java.lang.String excludesPattern)`
`java.util.List` | `getFileNames(java.util.Map args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getFileNames

    java.util.List getFileNames(java.lang.String basedir, java.lang.String pattern)

### getFileNames

    java.util.List getFileNames(java.lang.String basedir, java.lang.String pattern, java.lang.String excludesPattern)

### getFileNames

    java.util.List getFileNames(java.util.Map args)

Groovy Documentation